// File created automatically by custom Dialogger on 4/4/2019, 2:05:28 AM
// Do not tamper with this file.
// It will be replaced automatically by Dialogger and all changes will be lost.
// Instead change MinotaurCommonReadyToDuel.dl.
module DialogueTrees {
	export let MinotaurCommonReadyToDuel = (function () {
        let tree : DialogueTree = new DialogueTree("MinotaurCommonReadyToDuel");
        let node : DialogueNode;
        let text : DialogueText;
        let set : DialogueSet;
        
        
         AI.talktoRules.createAndAddRule({
            name : "AIHook for MinotaurCommonReadyToDuel",
            conditions : (runner : RulebookRunner<TalkingHeads>) => {
                // @ts-ignore
                let player = WorldState.player, greeter = runner.noun.greeter, answerer = runner.noun.answerer;
        
                return (MinotaurGuard.AgreedToDuel.value == true);
            },
            priority : Rule.PRIORITY_MEDIUM,
            firstPriority : Rule.PRIORITY_MEDIUM,
            code : (runner : RulebookRunner<TalkingHeads>) => {
                runner.noun.options.push({
                    tree: tree,
                    text : new Say("I'm ready for the duel.")
                })
            },
        });
        
        
        
        node = new DialogueNode("caa3b54a-0cf0-48d4-9243-d3039ce93f58");
        node.setNext("2830b61e-3473-453f-90f0-04180bb19d2b");
        tree.addStartNode(node);
        
        
        text = new DialogueText("2830b61e-3473-453f-90f0-04180bb19d2b");
        text.setSay(() => { return new Say(Say.Speak("Minotaur", "Perfect. We'll do it right here, right now."), Say.PARAGRAPH_BREAK, "The minotaur cracks his neck both sides and picks up his axe with both hands. He is ready. There is no going back now.");});
        text.setNext("3585eabf-f4d3-422e-bd38-9f597bbc8437");
        tree.addNode(text);
        
        
        set = new DialogueSet("3585eabf-f4d3-422e-bd38-9f597bbc8437");
        set.setFunction(() => {
        // TODO: Start combat with Minotaur
        });
        tree.addNode(set);
        
        return tree;
    })();
}